Commit 3898081476200bed1eab96a3672c500198bff355
1 parent
ec772408
no message
Showing
4 changed files
with
72 additions
and
73 deletions
CNLiveBMineModule.podspec
| @@ -40,6 +40,7 @@ TODO: 网家家企业版-我的模块. | @@ -40,6 +40,7 @@ TODO: 网家家企业版-我的模块. | ||
| 40 | s.subspec 'Controller' do |ss| | 40 | s.subspec 'Controller' do |ss| |
| 41 | ss.source_files = 'CNLiveBMineModule/Classes/Controller/*.{h,m}' | 41 | ss.source_files = 'CNLiveBMineModule/Classes/Controller/*.{h,m}' |
| 42 | ss.dependency 'CNLiveBMineModule/UserInfo' | 42 | ss.dependency 'CNLiveBMineModule/UserInfo' |
| 43 | + ss.dependency 'CNLiveBMineModule/Setting' | ||
| 43 | ss.dependency 'CNLiveBMineModule/View' | 44 | ss.dependency 'CNLiveBMineModule/View' |
| 44 | end | 45 | end |
| 45 | 46 |
CNLiveBMineModule/Classes/View/CNLiveMineCell.m
| @@ -10,7 +10,6 @@ | @@ -10,7 +10,6 @@ | ||
| 10 | #import <Masonry/Masonry.h> | 10 | #import <Masonry/Masonry.h> |
| 11 | #import "QMUIKit.h" | 11 | #import "QMUIKit.h" |
| 12 | #import "CNLiveCategory.h" | 12 | #import "CNLiveCategory.h" |
| 13 | -//#import "CNLiveBaseKit.h" | ||
| 14 | #import "CNLiveMineModel.h" | 13 | #import "CNLiveMineModel.h" |
| 15 | 14 | ||
| 16 | @interface CNLiveMineCell() | 15 | @interface CNLiveMineCell() |
Example/CNLiveBMineModule.xcodeproj/project.pbxproj
| @@ -207,8 +207,8 @@ | @@ -207,8 +207,8 @@ | ||
| 207 | 6003F586195388D20070C39A /* Sources */, | 207 | 6003F586195388D20070C39A /* Sources */, |
| 208 | 6003F587195388D20070C39A /* Frameworks */, | 208 | 6003F587195388D20070C39A /* Frameworks */, |
| 209 | 6003F588195388D20070C39A /* Resources */, | 209 | 6003F588195388D20070C39A /* Resources */, |
| 210 | - 0C9C7217B090E3ED4F1AA78B /* [CP] Embed Pods Frameworks */, | ||
| 211 | - 20E966392F9A6D5F365E3ADD /* [CP] Copy Pods Resources */, | 210 | + F3996565F54FEE644DED0E5D /* [CP] Embed Pods Frameworks */, |
| 211 | + E6B842F09A3E7A07D5B780D1 /* [CP] Copy Pods Resources */, | ||
| 212 | ); | 212 | ); |
| 213 | buildRules = ( | 213 | buildRules = ( |
| 214 | ); | 214 | ); |
| @@ -299,7 +299,75 @@ | @@ -299,7 +299,75 @@ | ||
| 299 | /* End PBXResourcesBuildPhase section */ | 299 | /* End PBXResourcesBuildPhase section */ |
| 300 | 300 | ||
| 301 | /* Begin PBXShellScriptBuildPhase section */ | 301 | /* Begin PBXShellScriptBuildPhase section */ |
| 302 | - 0C9C7217B090E3ED4F1AA78B /* [CP] Embed Pods Frameworks */ = { | 302 | + 2A8336772A36DEB07525BA2F /* [CP] Check Pods Manifest.lock */ = { |
| 303 | + isa = PBXShellScriptBuildPhase; | ||
| 304 | + buildActionMask = 2147483647; | ||
| 305 | + files = ( | ||
| 306 | + ); | ||
| 307 | + inputFileListPaths = ( | ||
| 308 | + ); | ||
| 309 | + inputPaths = ( | ||
| 310 | + "${PODS_PODFILE_DIR_PATH}/Podfile.lock", | ||
| 311 | + "${PODS_ROOT}/Manifest.lock", | ||
| 312 | + ); | ||
| 313 | + name = "[CP] Check Pods Manifest.lock"; | ||
| 314 | + outputFileListPaths = ( | ||
| 315 | + ); | ||
| 316 | + outputPaths = ( | ||
| 317 | + "$(DERIVED_FILE_DIR)/Pods-CNLiveBMineModule_Example-checkManifestLockResult.txt", | ||
| 318 | + ); | ||
| 319 | + runOnlyForDeploymentPostprocessing = 0; | ||
| 320 | + shellPath = /bin/sh; | ||
| 321 | + shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; | ||
| 322 | + showEnvVarsInLog = 0; | ||
| 323 | + }; | ||
| 324 | + C07FCC71144256C0D7D38641 /* [CP] Check Pods Manifest.lock */ = { | ||
| 325 | + isa = PBXShellScriptBuildPhase; | ||
| 326 | + buildActionMask = 2147483647; | ||
| 327 | + files = ( | ||
| 328 | + ); | ||
| 329 | + inputFileListPaths = ( | ||
| 330 | + ); | ||
| 331 | + inputPaths = ( | ||
| 332 | + "${PODS_PODFILE_DIR_PATH}/Podfile.lock", | ||
| 333 | + "${PODS_ROOT}/Manifest.lock", | ||
| 334 | + ); | ||
| 335 | + name = "[CP] Check Pods Manifest.lock"; | ||
| 336 | + outputFileListPaths = ( | ||
| 337 | + ); | ||
| 338 | + outputPaths = ( | ||
| 339 | + "$(DERIVED_FILE_DIR)/Pods-CNLiveBMineModule_Tests-checkManifestLockResult.txt", | ||
| 340 | + ); | ||
| 341 | + runOnlyForDeploymentPostprocessing = 0; | ||
| 342 | + shellPath = /bin/sh; | ||
| 343 | + shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; | ||
| 344 | + showEnvVarsInLog = 0; | ||
| 345 | + }; | ||
| 346 | + E6B842F09A3E7A07D5B780D1 /* [CP] Copy Pods Resources */ = { | ||
| 347 | + isa = PBXShellScriptBuildPhase; | ||
| 348 | + buildActionMask = 2147483647; | ||
| 349 | + files = ( | ||
| 350 | + ); | ||
| 351 | + inputPaths = ( | ||
| 352 | + "${PODS_ROOT}/Target Support Files/Pods-CNLiveBMineModule_Example/Pods-CNLiveBMineModule_Example-resources.sh", | ||
| 353 | + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveBMineModule/CNLiveBMineModule.bundle", | ||
| 354 | + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveShareToolKit/CNLiveShareToolKit.bundle", | ||
| 355 | + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveUserAgreementManager/CNLiveUserAgreementManager.bundle", | ||
| 356 | + "${PODS_ROOT}/WeiboSDK/libWeiboSDK/WeiboSDK.bundle", | ||
| 357 | + ); | ||
| 358 | + name = "[CP] Copy Pods Resources"; | ||
| 359 | + outputPaths = ( | ||
| 360 | + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveBMineModule.bundle", | ||
| 361 | + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveShareToolKit.bundle", | ||
| 362 | + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveUserAgreementManager.bundle", | ||
| 363 | + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/WeiboSDK.bundle", | ||
| 364 | + ); | ||
| 365 | + runOnlyForDeploymentPostprocessing = 0; | ||
| 366 | + shellPath = /bin/sh; | ||
| 367 | + shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBMineModule_Example/Pods-CNLiveBMineModule_Example-resources.sh\"\n"; | ||
| 368 | + showEnvVarsInLog = 0; | ||
| 369 | + }; | ||
| 370 | + F3996565F54FEE644DED0E5D /* [CP] Embed Pods Frameworks */ = { | ||
| 303 | isa = PBXShellScriptBuildPhase; | 371 | isa = PBXShellScriptBuildPhase; |
| 304 | buildActionMask = 2147483647; | 372 | buildActionMask = 2147483647; |
| 305 | files = ( | 373 | files = ( |
| @@ -375,74 +443,6 @@ | @@ -375,74 +443,6 @@ | ||
| 375 | shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBMineModule_Example/Pods-CNLiveBMineModule_Example-frameworks.sh\"\n"; | 443 | shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBMineModule_Example/Pods-CNLiveBMineModule_Example-frameworks.sh\"\n"; |
| 376 | showEnvVarsInLog = 0; | 444 | showEnvVarsInLog = 0; |
| 377 | }; | 445 | }; |
| 378 | - 20E966392F9A6D5F365E3ADD /* [CP] Copy Pods Resources */ = { | ||
| 379 | - isa = PBXShellScriptBuildPhase; | ||
| 380 | - buildActionMask = 2147483647; | ||
| 381 | - files = ( | ||
| 382 | - ); | ||
| 383 | - inputPaths = ( | ||
| 384 | - "${PODS_ROOT}/Target Support Files/Pods-CNLiveBMineModule_Example/Pods-CNLiveBMineModule_Example-resources.sh", | ||
| 385 | - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveBMineModule/CNLiveBMineModule.bundle", | ||
| 386 | - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveShareToolKit/CNLiveShareToolKit.bundle", | ||
| 387 | - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveUserAgreementManager/CNLiveUserAgreementManager.bundle", | ||
| 388 | - "${PODS_ROOT}/WeiboSDK/libWeiboSDK/WeiboSDK.bundle", | ||
| 389 | - ); | ||
| 390 | - name = "[CP] Copy Pods Resources"; | ||
| 391 | - outputPaths = ( | ||
| 392 | - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveBMineModule.bundle", | ||
| 393 | - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveShareToolKit.bundle", | ||
| 394 | - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveUserAgreementManager.bundle", | ||
| 395 | - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/WeiboSDK.bundle", | ||
| 396 | - ); | ||
| 397 | - runOnlyForDeploymentPostprocessing = 0; | ||
| 398 | - shellPath = /bin/sh; | ||
| 399 | - shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBMineModule_Example/Pods-CNLiveBMineModule_Example-resources.sh\"\n"; | ||
| 400 | - showEnvVarsInLog = 0; | ||
| 401 | - }; | ||
| 402 | - 2A8336772A36DEB07525BA2F /* [CP] Check Pods Manifest.lock */ = { | ||
| 403 | - isa = PBXShellScriptBuildPhase; | ||
| 404 | - buildActionMask = 2147483647; | ||
| 405 | - files = ( | ||
| 406 | - ); | ||
| 407 | - inputFileListPaths = ( | ||
| 408 | - ); | ||
| 409 | - inputPaths = ( | ||
| 410 | - "${PODS_PODFILE_DIR_PATH}/Podfile.lock", | ||
| 411 | - "${PODS_ROOT}/Manifest.lock", | ||
| 412 | - ); | ||
| 413 | - name = "[CP] Check Pods Manifest.lock"; | ||
| 414 | - outputFileListPaths = ( | ||
| 415 | - ); | ||
| 416 | - outputPaths = ( | ||
| 417 | - "$(DERIVED_FILE_DIR)/Pods-CNLiveBMineModule_Example-checkManifestLockResult.txt", | ||
| 418 | - ); | ||
| 419 | - runOnlyForDeploymentPostprocessing = 0; | ||
| 420 | - shellPath = /bin/sh; | ||
| 421 | - shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; | ||
| 422 | - showEnvVarsInLog = 0; | ||
| 423 | - }; | ||
| 424 | - C07FCC71144256C0D7D38641 /* [CP] Check Pods Manifest.lock */ = { | ||
| 425 | - isa = PBXShellScriptBuildPhase; | ||
| 426 | - buildActionMask = 2147483647; | ||
| 427 | - files = ( | ||
| 428 | - ); | ||
| 429 | - inputFileListPaths = ( | ||
| 430 | - ); | ||
| 431 | - inputPaths = ( | ||
| 432 | - "${PODS_PODFILE_DIR_PATH}/Podfile.lock", | ||
| 433 | - "${PODS_ROOT}/Manifest.lock", | ||
| 434 | - ); | ||
| 435 | - name = "[CP] Check Pods Manifest.lock"; | ||
| 436 | - outputFileListPaths = ( | ||
| 437 | - ); | ||
| 438 | - outputPaths = ( | ||
| 439 | - "$(DERIVED_FILE_DIR)/Pods-CNLiveBMineModule_Tests-checkManifestLockResult.txt", | ||
| 440 | - ); | ||
| 441 | - runOnlyForDeploymentPostprocessing = 0; | ||
| 442 | - shellPath = /bin/sh; | ||
| 443 | - shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; | ||
| 444 | - showEnvVarsInLog = 0; | ||
| 445 | - }; | ||
| 446 | /* End PBXShellScriptBuildPhase section */ | 446 | /* End PBXShellScriptBuildPhase section */ |
| 447 | 447 | ||
| 448 | /* Begin PBXSourcesBuildPhase section */ | 448 | /* Begin PBXSourcesBuildPhase section */ |
Example/Podfile